This discussion is archived
1 2 3 Previous Next 34 Replies Latest reply: Dec 13, 2012 8:39 AM by user626836 RSS

OC4J instance

user626836 Newbie
Currently Being Moderated
Hi everyone,
I have Oracle 11g and Developer Suite 10g installed in the same server just to try first before deploying to all the users, so what I did first was to run the OC4J instance before running a form from Develope Suite, but when the Internet Explorer 9 opens it displays the following address: http://127.0.0.1:49273/SB6XixUbkQHVy3zWtfR1bbpYEYDHCIvqUmg8duJDTvgUsl3x, but nothing ever shows up on the browser.
Can anyone please help me solve this issue?
  • 1. Re: OC4J instance
    Michael Ferrante (Oracle) Guru Moderator
    Currently Being Moderated
    First, IE9 is not supported for use with Forms 10, which is now obsolete. Second, assuming the browser version is not the issue, do the following:

    1. In the Builder verify that you have valid values for the Application Server URL and Browser Location fields in the Builder Preferences Runtime (tab). Do not leave either field blank.

    2. In the browser settings, on the Advanced tab, scroll down to the Security section and check the box labeled, "Allow active content to run in files on My Computer".

    3. Click Ok to save the changes. Close ALL open browsers

    4. Retest
  • 2. Re: OC4J instance
    user626836 Newbie
    Currently Being Moderated
    Hi Michael and thanks for replying,
    Is there any other version that I can use that supports IE9 and where can I downloaded? I was trying to find something like developer suite 11g, but I heard that doesn't exist anymore. What else can I use?
    Can you please help me on that?
  • 3. Re: OC4J instance
    Michael Ferrante (Oracle) Guru Moderator
    Currently Being Moderated
    IE9 is not supported until Forms 11. For specific versions, please refer to the product Certification Matrix guides. These are available on OTN and in MyOracleSupport.

    For version 10.1.2:
    http://www.oracle.com/technetwork/middleware/ias/downloads/as-certification-r2-101202-095871.html#BABGCBHA

    For version 11.1.1 and 11.1.2:
    http://www.oracle.com/technetwork/middleware/ias/downloads/fusion-certification-100350.html

    Regarding "Developer Suite", it is true that we no longer distribute one, but that does not mean that we no longer have the tools. So whoever told you this was both right and wrong ;).

    In version 11, it was decided to make the installation a little more consolidated (at least for this part) and only have one distribution that contains everything. During the installation process, you can pick and choose exactly what you want or do not want installed. So, in other words, if you download and run the installation for Fusion Middleware 11.1.2, you will be asked if you want to install the Builders, OHS, EM, etc. You can choose whatever you want. However, understand that if you choose the Builders (Forms/Reports), some dependant components will automatically be included. For example "Runtime". You will need to install WLS 10.3.x before performing the FMw installation. Refer to the product Installation Guide and System Requirements Guide before starting.
  • 4. Re: OC4J instance
    user626836 Newbie
    Currently Being Moderated
    Hi Michael and thanks again for your reply,
    I'm still trying to make Oracle Database 11g work with Forms 10g together with IE9 and I have installed Java on the server right where I have the database and Forms installed, so today I initialized OC4J and I was able to see an Oracle logo on the browser, but after that it displayed a message saying: An addon for this website failed to run.
    I'm running my program directly from Forms runtime and in the second try the address on the browser address bar changes to this following port: 127.0.0.1:49443 and in my first try it was: 127.0.0.1:8889
    Then I checked the OC4J screen and is giving me a message saying:
    12/12/04 19:23:15 FormsServlet init<>:
    configfilename: C:/DevSuiteHome_1/Forms/server/formsweb.cfg
    testMode: false
    Why is this happening? Maybe that's why is not running.
  • 5. Re: OC4J instance
    Michael Ferrante (Oracle) Guru Moderator
    Currently Being Moderated
    Did you follow these instructions?
    2. In the browser settings, on the Advanced tab, scroll down to the Security section and check the box labeled, "Allow active content to run in files on My Computer".
    3. Click Ok to save the changes. Close ALL open browsers

    Retest>

    Also, if you are on a Windows Server platform like Win2003 or 2008, likely Enhanced Browser Security is enabled. You would likely need to disable it to launch the JRE. Take a look at this to better understand Windows Enhanced Security:

    http://support.microsoft.com/kb/815141

    Regarding why there is a change in port number, there are two possibilities. The first is that your browser may be configured to use an autoconfig script to control proxy settings and those settings are preventing the form from starting. Refer to the browser "Connection" tab in Settings (Tools > Internet Options...). Generally, I would recommend that you avoid this (autoconfig scripts) if possible. At minimum, temporarily disable this just to rule out whether this is causing the problem. The second possibility is related to the instructions I provided previously and above.
  • 6. Re: OC4J instance
    user626836 Newbie
    Currently Being Moderated
    Hi Michael and thanks again for yor reply, JRC
    I followed all the instructions your provided and it also asked me to install JRC, but after almost displaying my forms on IE9 the browser stopped working and it displays a message saying that is has to shuttdown. So as you said: This browser is not supported.
    If I install Forms 11g in the same Windows server 2008 where I have Oracle Database 11g, do I need to install Application Server in the same server or can I run forms just with OC4J?
  • 7. Re: OC4J instance
    Michael Ferrante (Oracle) Guru Moderator
    Currently Being Moderated
    I don't entirely understand you question. Application Server version 10 is not supported on Windows 2008 nor is Forms 10 compatible with Forms 11. In order to use Forms 11.1.x you will need to install WLS 10.3.x and Fusion Middleware 11.1.x. Once installed, you can generate a version 11 form (fmx, mmx, plx) using the provided compiler or builder.

    One thing to consider is that although IE9 was not certified for use with Forms 10, it does not necessarily mean it won't work. This just means that Oracle did not test it and will not provide support (via Oracle Support Services) if a problem arises. That said, I am aware of no reason why the browser would be crashing as it relates to using Forms 10. This doesn't mean that there won't be other problems, but the browser should not be crashing as a result of trying to run a form. As I mentioned, the browser crashing is either the result of a software conflict on the machine or an invalid configuration on the machine. For example, if Windows DEP is blocking the java.exe or javaw.exe process, this can cause the browser to crash. Other common causes are, as mentioned, conflict with browser add-ons like Toolbars. Even some Internet Security software apps can block the launching of java applets (like Forms). None of these issues have anything to do with Oracle Forms directly. So, what this means is that upgrading to FMw 11 may not correct the problem you are seeing.

    I would recommend that you attempt to reproduce the problem on another machine if possible. If the problem does not reproduce, then you can assume it is an issue with your machine. If you haven't already done so, try testing with Firefox.
  • 8. Re: OC4J instance
    user626836 Newbie
    Currently Being Moderated
    Hi again Michael,
    I have using Firefox, but when I run my form from Form Builder Firebox give a message saying the following:
    No suitable plugins were found.
    Unknow Plugin (application/x-jinit-applet;version=1.3.1.22)
    Do you know anything about this?
    I have installed the latest version of Firefox.
    Is it possible to install WLS 10.3.x and Fusion Middleware 11.1.2 in the same server where I have Oracle database 11g? I'm asking you this because right now I only have one server available to try Oracle before we purchase the licences and the technical support as well, but I have to make it work first so I can convence the directors of the company.
  • 9. Re: OC4J instance
    Michael Ferrante (Oracle) Guru Moderator
    Currently Being Moderated
    You should be able install FMw 11 on the same machine with an Oracle db as long as you do not attempt to install it in the same Oracle Home. However, keep in mind that FMw11 requires significantly more memory (RAM) as did version 10. Therefore, running the db and FMw on the same machine will require a machine with lots of RAM. In other words, not a typical desktop machine. You mentioned, using Win2008. If this is the case, I would recommend nothing less than 6gig of RAM - more would be better.

    Be sure to take a look at the product documentation:

    http://docs.oracle.com/cd/E24269_01/index.htm


    As for your issue related to launching from the browser, this is the result of the default configuration setup to use Oracle Jinitiator. Note that Jinitiator is now obsolete and not at all supported on Win2008. You need to have a java plugin in the 1.6 family. The current version is 1.6.0_37. That said, JRE 1.6 is only supported with Forms 10.1.2.3 or newer.

    http://www.oracle.com/technetwork/java/javase/downloads/jre6u37-downloads-1859589.html

    In formsweb.cfg, make the following change to enable the Java Plugin instead of Jinitiator (this applies to version 10.1.2 only):

    baseHTMLjinitiator=basejpi.htm

    .

    Edited by: Michael Ferrante (Oracle) on Dec 5, 2012 3:38 PM
  • 10. Re: OC4J instance
    user626836 Newbie
    Currently Being Moderated
    Hi Michael and thanks again for keeping in touch,
    I'm still working on 10g and after making the changes on the formsweb.cfg as you said now I receive the following message. I also installed Java from the link you posted:
    FRM-92095: Oracle Jinitiator version too low. Please install version 1.1.8.2 or higher.
    Details...
    Java Exception
    at Oracle.forms.net.HTTPConnection<init>(Unknown Source)
    at oracle.forms.engine.FormsDispatcher.intlConnection(Unknown Source)
    at oracle.forms.engine.FormsDispatcher.intl(Unknown Source)
    at oracle.forms.engine.Runform.intlConnection(Unknown Source)
    at oracle.forms.engine.Runform.startRunform(Unknown Source)
    at oracle.forms.engine.Main.createRunForm(Unknown Source)
    at oracle.forms.engine.Main.start(Unknown Source)
    at com.sun.deploy.uitoolkit.impl.awtAWTAppleAdapter.start(Unknown Source)
    at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)

    I think is almost working!!
  • 11. Re: OC4J instance
    user626836 Newbie
    Currently Being Moderated
    Never mind, I think I found the solution to that.
    I searched in Google and it says that most go to the java icon in the Control Panel and click in the Java option on top. Then click in view and you must add a runtime parameter to java like this one: -Djava.vendor=”Sun Microsystems Inc.”
    Now My Forms are working pretty well with 10g.
    So now that I have 10g working, how can I make a user access all the forms? I have a main form with all the menus. The way I access it is by double clicking an icon on my computer desktop, so that takes me to a window where it asks me database username and password.
    How does it work with 10g?
    Can you please help me on this?
  • 12. Re: OC4J instance
    Michael Ferrante (Oracle) Guru Moderator
    Currently Being Moderated
    What do you mean " +How does it work with 10g?+ ". How does what work in 10g? I thought you said everything was working now.
  • 13. Re: OC4J instance
    user626836 Newbie
    Currently Being Moderated
    Hi Michael,
    A couple of weeks ago I installed Oracle 10g on another server and installed Forms 6i in my personal computer, so I made a main menu using Forms 6i, but the way I access the menu is with a shortcut icon that I have in my personal computer desktop, so when I bouble click that icon it takes me to a window where it ask for my database username and password, so after I type my credentials it takes me directly to the menu where I can choose the Form that I want to use.
    My question is: After compiling all the forms that I have create, how can I access them through Internet Explorer?
    One more thing, every time I run any form, it ask me if I want to run with the latest version. Is there a way to fix that?
    Also, I have to enter that java parameter all the time because it stops working from time to time.
  • 14. Re: OC4J instance
    Michael Ferrante (Oracle) Guru Moderator
    Currently Being Moderated
    If you have recompiled your forms with a version 10 compiler (or the Builder) you can run them in the browser with a URL similar to this one:

    http://yourMachine:port/forms/frmservlet?form=thePathAndNameOfForm

    You will need to have OC4J running in order for this to work. Keep in mind that the Developer Suite installation is only intended for your local use. It is not intended for other, remote users to access it.

    As for your reference to a message asking about running a new version, I assume you are talking about the JRE. This also likely means that you have installed JRE 7, whcih is not supported for use with Forms 10 and will likely cause problems by leaving it installed unless you fully understand how it works - which I won't go into here. Uninstall Java 7 and install version 1.6.0_37 only. In your formsweb.cfg, make the following change:
    baseHTMLJInitiator=basejpi.htm
    jpi_classid=clsid:CAFEEFAC-0016-0000-0037-ABCDEFFEDCBA
    jpi_mimetype=application/x-java-applet;jpi-version=1.6.0_37
    jpi_codebase=http://javadl-esd.sun.com/update/1.6.0/jinstall-6u37-windows-i586.cab#Version=1,6,0,37
    jpi_download_page=http://www.oracle.com/technetwork/java/javase/downloads
1 2 3 Previous Next

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points